package com.huawei.dli.jdbc.utils;

import com.huawei.dli.sdk.common.Column;

import java.util.List;
import java.util.stream.Collectors;

import lombok.Getter;

@Getter
public class DescribeTableResponse {

    private boolean isSuccess;

    private String message;

    private int columnCount;

    List<ColumnInfo> columns;

    public DescribeTableResponse(boolean isSuccess, String message) {
        this.isSuccess = isSuccess;
        this.message = message;
    }

    public DescribeTableResponse(List<Column> columnList) {
        this.columnCount = columnList.size();
        this.columns = columnList.stream().map(col ->
            new ColumnInfo(col.getColumnName(), col.getDescription(), col.getType().getName())
        ).collect(Collectors.toList());
    }
}
