package com.huawei.dli.jdbc.utils;

import com.huawei.dli.sdk.Table;

import java.util.List;
import java.util.stream.Collectors;

import lombok.Getter;

@Getter
public class GetTablesResponse {

    private final boolean isSuccess;

    private String message;

    private int tableCount;

    private List<TableStruct> tables;

    public GetTablesResponse(boolean isSuccess, String message) {
        this.isSuccess = isSuccess;
        this.message = message;
    }

    public GetTablesResponse(List<Table> tblList) {
        this.isSuccess = true;
        this.tableCount = tblList.size();
        this.tables = tblList.stream().map(tbl -> {
            TableStruct tblStruct = new TableStruct();
            tblStruct.setTableName(tbl.getTableName());
            tblStruct.setTableType(tbl.getTableType().getName());
            tblStruct.setTableSize(tblStruct.getTableSize());
            tblStruct.setOwner(tbl.getOwner());
            tblStruct.setLastAccessTime(tbl.getLastAccessTime());
            tblStruct.setCreateTime(tbl.getCreateTime());
            return tblStruct;
        }).collect(Collectors.toList());
    }
}
