package com.huawei.dli.jdbc.utils;

import com.huawei.dli.sdk.common.JobResultInfo;
import com.huawei.dli.sdk.common.TableSchema;

public interface IDliServiceProxy {

    ExecuteJobResponse execute(RequestExecuteSql request) throws DliException;

    JobResultInfo getJobStatus(String jobId) throws DliException;

    TableSchema getResultSchema(String jobId) throws DliException;

    GetJobResultResponse getJobResult(String jobId, int pageSize, int currentPage) throws DliException;

    DownloadIterator exportJobResult(String jobId) throws DliException;

    CancelJobResponse cancelJob(String jobId) throws DliException;

    GetTablesResponse getTablesInfo(String db) throws DliException;

    DescribeTableResponse describeTableInfo(String db, String table) throws DliException;
}
