package com.huawei.dli.jdbc.utils;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.ArrayList;
import java.util.List;

public class RequestExecuteSql {

    @JsonProperty("currentdb")
    private String currentDb;

    private String sql;

    @JsonProperty("queue_name")
    private String queueName;

    private List<String> conf;

    private String engineType;

    public String getQueueName() {
        return queueName;
    }

    public void setQueueName(String queueName) {
        this.queueName = queueName;
    }

    public String getEngineType() {
        return engineType;
    }

    public void setEngineType(String engineType) {
        this.engineType = engineType;
    }

    public String getCurrentDb() {
        return currentDb;
    }

    public void setCurrentDb(String currentDb) {
        this.currentDb = currentDb;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public List<String> getConf() {
        return conf;
    }

    public void setConf(List<String> conf) {
        this.conf = conf;
    }

    public boolean isSyncMode() {
        if (conf == null) {
            return false;
        }

        for (String confItem : this.conf) {
            String[] confKv = confItem.split("=");
            if (confKv.length != 2) {
                return false;
            }

            if (confKv[0].equals("dli.sql.syncMode.enabled")) {
                return (confKv[1].equalsIgnoreCase("true"));
            }
        }
        return false;
    }

    // this method is only used by ODBC driver call from jni
    public void addConf(String conf) {
        if (this.conf == null) {
            this.conf = new ArrayList<>();
            this.conf.add(conf);
        } else {
            this.conf.add(conf);
        }
    }

    // this method is only used by ODBC driver call from jni
    public void clearConf() {
        if (this.conf != null) {
            this.conf.clear();
        }
    }
}
