package com.huawei.dli.jdbc.utils;

import com.huawei.dli.jdbc.DliResultSetMetaData;
import com.huawei.dli.jdbc.utils.type.TypeInfo;
import com.huawei.dli.jdbc.utils.type.TypeInfoParser;
import com.huawei.dli.sdk.common.Column;
import com.huawei.dli.sdk.common.TableSchema;

import java.util.ArrayList;
import java.util.List;

public abstract class ResultFetchingSession {

    public DliResultSetMetaData resolveSchema(TableSchema resultSchema) {
        List<String> columnNames = new ArrayList<>();
        List<TypeInfo> columnTypes = new ArrayList<>();
        List<Column> columns = resultSchema.getColumns();
        for (Column column : columns) {
            columnNames.add(column.getColumnName());
            columnTypes.add(TypeInfoParser.getTypeInfoFromTypeString(column.getDataTypeInfo().toString()));
        }
        return new DliResultSetMetaData(columnNames, columnTypes);
    }

    public abstract Object[] readNextRecord() throws DliException;

    public abstract long getTotalCount();

    public abstract int getFetchedRows();

    public abstract DliResultSetMetaData getSchema();

    public abstract void close();

}
