package com.huawei.dli.jdbc.utils.type;

public class CharTypeInfo extends AbstractCharTypeInfo {
    static final int MAX_CHAR_LENGTH = 255;

    CharTypeInfo(int length) {
        super(DliType.CHAR, length);
    }

    protected void validateParameter(int length) {
        if (length < 1 || length > MAX_CHAR_LENGTH) {
            throw new IllegalArgumentException("Char length " + length + " out of range [1, " + 255 + "]");
        }
    }
}
