package com.huawei.dli.jdbc.utils.type;

public class SimpleArrayTypeInfo implements ArrayTypeInfo {

    private TypeInfo valueType;

    SimpleArrayTypeInfo(TypeInfo typeInfo) {
        if (typeInfo == null) {
            throw new IllegalArgumentException("Invalid element type.");
        } else {
            this.valueType = typeInfo;
        }
    }

    public String getTypeName() {
        return this.getDliType().name() + "<" + this.valueType.getTypeName() + ">";
    }

    public TypeInfo getElementTypeInfo() {
        return this.valueType;
    }

    public DliType getDliType() {
        return DliType.ARRAY;
    }

    public String toString() {
        return this.getTypeName();
    }
}
