package com.huawei.dli.jdbc.utils.type;

public class SimpleMapTypeInfo implements MapTypeInfo {
    private TypeInfo keyType;

    private TypeInfo valueType;

    SimpleMapTypeInfo(TypeInfo keyType, TypeInfo valueType) {
        if (keyType == null || valueType == null) {
            throw new IllegalArgumentException("Invalid key or value type for map.");
        }

        this.keyType = keyType;
        this.valueType = valueType;
    }

    @Override
    public TypeInfo getKeyTypeInfo() {
        return keyType;
    }

    @Override
    public TypeInfo getValueTypeInfo() {
        return valueType;
    }

    @Override
    public String getTypeName() {
        return getDliType().name() + "<" + keyType.getTypeName() + "," + valueType.getTypeName() + ">";
    }

    @Override
    public DliType getDliType() {
        return DliType.MAP;
    }
}
