package com.huawei.dli.jdbc.utils.type;

public class VarcharTypeInfo extends AbstractCharTypeInfo {
    static final int MAX_VARCHAR_LENGTH = 65535;

    public VarcharTypeInfo(int length) {
        super(DliType.VARCHAR, length);
    }

    protected void validateParameter(int length) {
        if (length < 1 || length > MAX_VARCHAR_LENGTH) {
            throw new IllegalArgumentException("Varchar length " + length + " out of range [1, " + '\uffff' + "]");
        }
    }
}
